/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.tools.guiframework.view.descriptors;

import com.iplanet.jato.RequestContext;
import com.iplanet.jato.view.html.ComboBox;
import com.iplanet.jato.view.html.OptionList;
import com.iplanet.jato.view.View;
import com.iplanet.jato.view.ContainerView;


/**
 *
 */
public class OldJATOComboBoxDescriptor extends DisplayFieldDescriptor {

    /**
     * Constructor
     */
    public OldJATOComboBoxDescriptor(String name) {
	super(name);
    }


    /**
     *	This is a factory method for ComboBox instances.
     *
     *	@param	ctx	The RequestContext
     *	@param	container	The container for the newly created 
     */
    public View getInstance(RequestContext ctx, ContainerView container, String name) {
// FIXME: Support models
	// Create and return the ComboBox
	ComboBox combo =
	    new ComboBox(container, name, getModelFieldName(), getInitialValue());
// FIXME: See SelectFieldDescriptor...
	/*
	List names = getParameter(OPTIONS_NAMES);
	List values = getParameter(OPTIONS_VALUES);
	OptionList options = new OptionList(String [], String[]);
	options.add("label1", "value 1");
	options.add("In order to get", "value 2");
	options.add("this to display", "value 3");
	options.add("the right thing,", "value 4");
	options.add("we need to have a", "value 5");
	options.add("way to declare a", "value 5");
	options.add("way to declare list", "value 6");
	options.add("in the XML and add",  "value 7");
	options.add("it as a parameter.", "value 8");
	combo.setOptions(options);
	 */
	return combo;
    }
}
